# Interface MonadRuntimeConfig

interface MonadRuntimeConfig {
cleakerPkgDistDir: string;
cwd: string;
env: ProcessEnv;
fetchProxyTimeoutMs: number;
guiPkgDistDir: string;
indexPath: string;
localNamespaceRoot: string;
mePkgDistDir: string;
nodeDisplayName: string;
nodeHostname: string;
port: string | number;
reactDomUmdDir: string;
reactUmdDir: string;
routesPath: string;
selfNodeConfig: SelfNodeConfig | null;
}

- Defined in bootstrap.ts:41

##### Index

### Properties

cleakerPkgDistDir
cwd
env
fetchProxyTimeoutMs
guiPkgDistDir
indexPath
localNamespaceRoot
mePkgDistDir
nodeDisplayName
nodeHostname
port
reactDomUmdDir
reactUmdDir
routesPath
selfNodeConfig

## Properties

### cleakerPkgDistDir

cleakerPkgDistDir: string

- Defined in bootstrap.ts:49

### cwd

cwd: string

- Defined in bootstrap.ts:42

### env

env: ProcessEnv

- Defined in bootstrap.ts:43

### fetchProxyTimeoutMs

fetchProxyTimeoutMs: number

- Defined in bootstrap.ts:47

### guiPkgDistDir

guiPkgDistDir: string

- Defined in bootstrap.ts:50

### indexPath

indexPath: string

- Defined in bootstrap.ts:54

### localNamespaceRoot

localNamespaceRoot: string

- Defined in bootstrap.ts:56

### mePkgDistDir

mePkgDistDir: string

- Defined in bootstrap.ts:48

### nodeDisplayName

nodeDisplayName: string

- Defined in bootstrap.ts:46

### nodeHostname

nodeHostname: string

- Defined in bootstrap.ts:45

### port

port: string | number

- Defined in bootstrap.ts:44

### reactDomUmdDir

reactDomUmdDir: string

- Defined in bootstrap.ts:52

### reactUmdDir

reactUmdDir: string

- Defined in bootstrap.ts:51

### routesPath

routesPath: string

- Defined in bootstrap.ts:53

### selfNodeConfig

selfNodeConfig: SelfNodeConfig | null

- Defined in bootstrap.ts:55